Skip to content

Requirementsยค

To use this Copier template, you will need:

To install git version 2, follow the official instructions.

To install Python 3, download and install it from the official website, or install it with pyenv:

# install pyenv
git clone https://github.com/pyenv/pyenv ~/.pyenv

# setup pyenv (you should also put these three lines in .bashrc or similar)
export PATH="${HOME}/.pyenv/bin:${PATH}"
export PYENV_ROOT="${HOME}/.pyenv"
eval "$(pyenv init -)"

# install Python 3
pyenv install 3.8.6

# make it available globally
pyenv global system 3.8.6

# finally, restart your shell
# to make sure your environment is up-to-date

To install Copier, use pip or pipx:

pip install --user copier
pip install --user pipx
pipx install copier
Back to top